summary refs log tree commit diff
path: root/database-prepare-for-0.5.0.sh
diff options
context:
space:
mode:
authorMark Haines <mark.haines@matrix.org>2014-11-20 10:00:13 +0000
committerMark Haines <mark.haines@matrix.org>2014-11-20 10:00:13 +0000
commitb2aeaa2dcc833430330b556453acb83b23a95650 (patch)
tree81807cc40eded2faae7bfb7f969ada5b31798642 /database-prepare-for-0.5.0.sh
parentSYN-153: Fix formatting of federation error message (diff)
parenttypoe (diff)
downloadsynapse-b2aeaa2dcc833430330b556453acb83b23a95650.tar.xz
Merge branch 'master' into develop
Diffstat (limited to 'database-prepare-for-0.5.0.sh')
-rwxr-xr-xdatabase-prepare-for-0.5.0.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/database-prepare-for-0.5.0.sh b/database-prepare-for-0.5.0.sh
new file mode 100755
index 0000000000..e824cb583e
--- /dev/null
+++ b/database-prepare-for-0.5.0.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# This is will prepare a synapse database for running with v0.5.0 of synapse. 
+# It will store all the user information, but will *delete* all messages and
+# room data.
+
+set -e
+
+cp "$1" "$1.bak"
+
+DUMP=$(sqlite3 "$1" << 'EOF'
+.dump users
+.dump access_tokens
+.dump presence
+.dump profiles
+EOF
+)
+
+rm "$1"
+
+sqlite3 "$1" <<< "$DUMP"